Index: notice.txt
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/odbc/notice.txt,v
retrieving revision 1.2
diff -c -r1.2 notice.txt
*** notice.txt	1998/06/03 20:33:40	1.2
--- notice.txt	2002/07/04 08:41:06
***************
*** 4,11 ****
    PSQLODBC.DLL - A library to talk to the PostgreSQL DBMS using ODBC.
  
  
!   Copyright (C) 1998; Insight Distribution Systems
  
    The code contained in this library is based on code written by 
    Christian Czezatke and Dan McGuirk, (C) 1996.
  
--- 4,14 ----
    PSQLODBC.DLL - A library to talk to the PostgreSQL DBMS using ODBC.
  
  
!   Copyright (C) 1998          Insight Distribution Systems
!   Copyright (C) 1998 - 2002   The PostgreSQL Global Development Group
  
+   Multibyte support was added by Sankyo Unyu Service, (C) 2001.
+ 
    The code contained in this library is based on code written by 
    Christian Czezatke and Dan McGuirk, (C) 1996.
  
***************
*** 26,34 ****
    02139, USA.
  
  
!   How to contact the author:
  
!   email:  byronn@insightdist.com	(Byron Nikolaidis)
  
  
  ***********************************************************************/
--- 29,37 ----
    02139, USA.
  
  
!   How to contact the authors:
  
!   email:  pgsql-odbc@postgresql.org
  
  
  ***********************************************************************/
Index: psqlodbc.rc
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/odbc/psqlodbc.rc,v
retrieving revision 1.37
diff -c -r1.37 psqlodbc.rc
*** psqlodbc.rc	2002/06/12 02:27:44	1.37
--- psqlodbc.rc	2002/07/04 08:41:06
***************
*** 1,506 ****
! //Microsoft Developer Studio generated resource script.
! //
! #include "resource.h"
! #include "version.h"
! 
! #define APSTUDIO_READONLY_SYMBOLS
! /////////////////////////////////////////////////////////////////////////////
! //
! // Generated from the TEXTINCLUDE 2 resource.
! //
! #include "afxres.h"
! 
! /////////////////////////////////////////////////////////////////////////////
! #undef APSTUDIO_READONLY_SYMBOLS
! 
! /////////////////////////////////////////////////////////////////////////////
! // English (U.S.) resources
! 
! #if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ENU)
! #ifdef _WIN32
! LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_US
! #pragma code_page(1252)
! #endif //_WIN32
! 
! #ifdef APSTUDIO_INVOKED
! /////////////////////////////////////////////////////////////////////////////
! //
! // TEXTINCLUDE
! //
! 
! 1 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "resource.h\0"
! END
! 
! 2 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "#include ""afxres.h""\r\n"
!     "\0"
! END
! 
! 3 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "\r\n"
!     "\0"
! END
! 
! #endif    // APSTUDIO_INVOKED
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! //
! // Dialog
! //
! 
! #ifdef MULTIBYTE
! DLG_CONFIG DIALOG DISCARDABLE  65, 43, 299, 113
! STYLE DS_MODALFRAME | DS_3DLOOK | WS_POPUP | WS_VISIBLE | WS_CAPTION | 
!     WS_SYSMENU
! CAPTION "PostgreSQL Driver Setup"
! FONT 10, "Terminal"
! BEGIN
!     RTEXT           "&Data Source:",IDC_DSNAMETEXT,3,9,49,8,NOT WS_GROUP
!     EDITTEXT        IDC_DSNAME,59,9,72,12,ES_AUTOHSCROLL | WS_GROUP
!     RTEXT           "Des&cription:",IDC_DESCTEXT,135,10,49,8,NOT WS_GROUP
!     EDITTEXT        IDC_DESC,185,10,110,25,ES_AUTOHSCROLL
!     RTEXT           "Data&base:",IDC_STATIC,15,24,37,8,NOT WS_GROUP
!     EDITTEXT        IDC_DATABASE,59,24,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Server:",IDC_STATIC,23,38,29,8,NOT WS_GROUP
!     EDITTEXT        IDC_SERVER,59,38,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Port:",IDC_STATIC,161,38,21,8
!     EDITTEXT        IDC_PORT,185,38,37,12,ES_AUTOHSCROLL
!     RTEXT           "&User Name:",IDC_STATIC,11,53,41,8
!     EDITTEXT        IDC_USER,59,53,72,12,ES_AUTOHSCROLL
!     RTEXT           "Pass&word:",IDC_STATIC,145,53,37,8
!     EDITTEXT        IDC_PASSWORD,185,53,72,12,ES_PASSWORD | ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",IDOK,27,88,40,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,81,88,40,14
!     GROUPBOX        "Options (Advanced):",IDC_OPTIONS,141,72,140,35,
!                     BS_CENTER
!     PUSHBUTTON      "DataSource",IDC_DATASOURCE,149,89,50,14
!     PUSHBUTTON      "Global",IDC_DRIVER,221,88,50,14
!     CTEXT           "Please supply any missing information needed to connect.",
!                     DRV_MSG_LABEL,25,4,238,10
! END
! 
! DLG_OPTIONS_DRV DIALOG DISCARDABLE  0, 0, 306, 226
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (Driver)"
! FONT 10, "Terminal"
! BEGIN
!     PUSHBUTTON      "Page 1",IDPREVPAGE,10,1,40,15
!     PUSHBUTTON      "Page 2",IDNEXTPAGE,50,1,40,15
!     CTEXT           "Set your site's defaults (for new DSNs).",
!                     DRV_MSG_LABEL2,15,1,270,10, SS_CENTER | WS_GROUP, WS_EX_STATICEDGE
!     CONTROL         "Disable Genetic &Optimizer",DRV_OPTIMIZER,"Button",
!                     BS_AUTOCHECKBOX | WS_GROUP | WS_TABSTOP,13,18,116,10
!     CONTROL         "Comm&Log (C:\\psqlodbc.log)",DRV_COMMLOG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,164,18,120,10
!     CONTROL         "&KSQO (Keyset Query Optimization)",DRV_KSQO,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,30,144,10
!     CONTROL         "&ReadOnly (Default)",DRV_READONLY,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,164,31,88,10
!     CONTROL         "Recognize Unique &Indexes",DRV_UNIQUEINDEX,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,42,112,10
!     CONTROL         "P&arse Statements",DRV_PARSE,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,164,44,80,10
!     CONTROL         "&Use Declare/Fetch",DRV_USEDECLAREFETCH,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,54,84,10
!     CONTROL         "Cancel as FreeStmt (Exp)",DRV_CANCELASFREESTMT,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,164,57,112,10
!     CONTROL         "Mylog(Debug ouput)",DRV_DEBUG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,164,70,112,10
!     GROUPBOX        "Unknown Sizes",IDC_STATIC,13,81,175,24
!     CONTROL         "Maximum",DRV_UNKNOWN_MAX,"Button",BS_AUTORADIOBUTTON | 
!                     WS_GROUP | WS_TABSTOP,21,89,44,10
!     CONTROL         "Don't Know",DRV_UNKNOWN_DONTKNOW,"Button",
!                     BS_AUTORADIOBUTTON | WS_TABSTOP,72,89,56,10
!     CONTROL         "Longest",DRV_UNKNOWN_LONGEST,"Button",
!                     BS_AUTORADIOBUTTON | WS_TABSTOP,135,89,44,10
!     GROUPBOX        "Data Type Options",IDC_STATIC,13,109,282,23
!     CONTROL         "Text as LongVarChar",DRV_TEXT_LONGVARCHAR,"Button",
!                     BS_AUTOCHECKBOX | WS_GROUP | WS_TABSTOP,15,120,92,10
!     CONTROL         "Unknowns as LongVarChar",DRV_UNKNOWNS_LONGVARCHAR,
!                     "Button",BS_AUTOCHECKBOX | WS_TABSTOP,112,120,108,10
!     CONTROL         "Bools as Char",DRV_BOOLS_CHAR,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,225,120,68,10
!     LTEXT           "&Cache Size:",IDC_STATIC,15,138,45,8
!     EDITTEXT        DRV_CACHE_SIZE,61,134,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max &Varchar:",IDC_STATIC,99,138,49,8
!     EDITTEXT        DRV_VARCHAR_SIZE,149,134,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max Lon&gVarChar:",IDC_STATIC,192,138,65,8
!     EDITTEXT        DRV_LONGVARCHAR_SIZE,259,134,35,12,ES_AUTOHSCROLL
!     LTEXT           "SysTable &Prefixes:",IDC_STATIC,23,149,36,20
!     EDITTEXT        DRV_EXTRASYSTABLEPREFIXES,61,158,75,12,ES_AUTOHSCROLL
!     LTEXT           "Connect &Settings:",IDC_STATIC,22,170,35,20
!     EDITTEXT        DRV_CONNSETTINGS,61,170,225,25,ES_MULTILINE | 
!                     ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "Close",IDOK,39,201,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,104,201,50,15
!     PUSHBUTTON      "Apply",IDAPPLY,169,201,50,14
!     PUSHBUTTON      "Defaults",IDDEFAULTS,234,201,50,15
! END
! 
! DLG_OPTIONS_DS DIALOG DISCARDABLE  0, 0, 267, 226
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (DataSource)"
! FONT 10, "Terminal"
! BEGIN
!     PUSHBUTTON      "Page 2",IDNEXTPAGE,50,1,40,15
!     PUSHBUTTON      "Page 1",IDPREVPAGE,10,1,40,15
!     CONTROL         "&ReadOnly",DS_READONLY,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,25,18,48,10
!     CONTROL         "Row &Versioning",DS_ROWVERSIONING,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,129,18,72,10
!     CONTROL         "Show System &Tables",DS_SHOWSYSTEMTABLES,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,33,88,10
!     CONTROL         "Disallow &Premature",DS_DISALLOWPREMATURE,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,129,33,86,10
!     CONTROL         "LF <-> CR/LF convert",DS_LFCONVERSION,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,48,92,10
!     CONTROL         "True is -1",DS_TRUEISMINUS1,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,129,48,86,10
!     CONTROL         "(Trial) Updatable cursors",DS_UPDATABLECURSORS,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,63,112,10
!     GROUPBOX        "Int8 As",IDC_STATIC,23,79,235,25
!     CONTROL         "default",DS_INT8_AS_DEFAULT,"Button",BS_AUTORADIOBUTTON | 
!                     WS_GROUP,30,89,47,10
!     CONTROL         "bigint",DS_INT8_AS_BIGINT,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     70,89,35,10
!     CONTROL         "numeric",DS_INT8_AS_NUMERIC,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     107,89,40,10
!     CONTROL         "varchar",DS_INT8_AS_VARCHAR,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     149,89,40,10
!     CONTROL         "double",DS_INT8_AS_DOUBLE,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     190,89,40,10
!     CONTROL         "int4",DS_INT8_AS_INT4,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     227,89,28,10
!     GROUPBOX        "Protocol",IDC_STATIC,23,109,180,25
!     CONTROL         "7.X,6.4+",DS_PG64,"Button",BS_AUTORADIOBUTTON | 
!                     WS_GROUP,33,119,47,10
!     CONTROL         "6.3",DS_PG63,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     83,119,26,10
!     CONTROL         "6.2",DS_PG62,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     133,119,26,10
!     GROUPBOX        "OID Options",IDC_STATIC,23,129,180,25
!     CONTROL         "Show &Column",DS_SHOWOIDCOLUMN,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,33,140,59,10
!     CONTROL         "Fake &Index",DS_FAKEOIDINDEX,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,141,140,55,10
!     LTEXT           "Connect &Settings:",IDC_STATIC,10,170,35,25
!     EDITTEXT        DS_CONNSETTINGS,50,170,200,20,ES_MULTILINE | 
!                     ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "Close",IDOK,51,195,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,126,195,50,14
!     PUSHBUTTON      "Apply",IDAPPLY,201,195,50,14
! END
! 
! DLG_OPTIONS_GLOBAL DIALOG DISCARDABLE  0, 0, 306, 90
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Global settings"
! FONT 10, "Terminal"
! BEGIN
!     CTEXT	"Logging before establishing connections(the default for new DSNs also)",
!                     DRV_MSG_LABEL,25,15,238,10
!     CONTROL         "Comm&Log (C:\\psqlodbc.log)",DRV_COMMLOG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,30,120,10
!     CONTROL         "Mylog(C:\\mylog_xxxx.log Detailed debug output)",DRV_DEBUG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,45,200,10
!     DEFPUSHBUTTON   "Save",IDOK,39,70,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,104,70,50,15
! END
! #else
! DLG_CONFIG DIALOG DISCARDABLE  65, 43, 292, 116
! STYLE DS_MODALFRAME | DS_3DLOOK | WS_POPUP | WS_VISIBLE | WS_CAPTION | 
!     WS_SYSMENU
! CAPTION "PostgreSQL Driver Setup"
! FONT 8, "MS Sans Serif"
! BEGIN
!     RTEXT           "&Data Source:",IDC_DSNAMETEXT,5,10,50,12,NOT WS_GROUP
!     EDITTEXT        IDC_DSNAME,57,10,72,12,ES_AUTOHSCROLL | WS_GROUP
!     RTEXT           "Des&cription:",IDC_DESCTEXT,135,10,39,12,NOT WS_GROUP
!     EDITTEXT        IDC_DESC,175,10,108,12,ES_AUTOHSCROLL
!     RTEXT           "Data&base:",IDC_STATIC,17,25,38,12,NOT WS_GROUP
!     EDITTEXT        IDC_DATABASE,57,25,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Server:",IDC_STATIC,27,40,29,12,NOT WS_GROUP
!     EDITTEXT        IDC_SERVER,57,40,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Port:",IDC_STATIC,153,40,22,12
!     EDITTEXT        IDC_PORT,175,40,37,12,ES_AUTOHSCROLL
!     RTEXT           "&User Name:",IDC_STATIC,17,55,39,12
!     EDITTEXT        IDC_USER,57,55,72,12,ES_AUTOHSCROLL
!     RTEXT           "Pass&word:",IDC_STATIC,141,55,34,12
!     EDITTEXT        IDC_PASSWORD,175,55,72,12,ES_PASSWORD | ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",IDOK,25,90,40,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,80,90,40,14
!     GROUPBOX        "Options (Advanced):",IDC_OPTIONS,140,74,140,35,
!                     BS_CENTER
!     PUSHBUTTON      "DataSource",IDC_DATASOURCE,160,90,50,14
!     PUSHBUTTON      "Global",IDC_DRIVER,220,90,50,14
!     CTEXT           "Please supply any missing information needed to connect.",
!                     DRV_MSG_LABEL,36,5,220,15
! END
! 
! DLG_OPTIONS_DRV DIALOG DISCARDABLE  0, 0, 287, 250
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (Driver)"
! FONT 8, "MS Sans Serif"
! BEGIN
!     PUSHBUTTON      "Page 1",IDPREVPAGE,10,1,40,15
!     PUSHBUTTON      "Page 2",IDNEXTPAGE,50,1,40,15
!     CTEXT           "Set your site's defaults (for new DSNs).",
!                     DRV_MSG_LABEL2,15,1,270,10, SS_CENTER | WS_GROUP, WS_EX_STATICEDGE
!     CONTROL         "Disable Genetic &Optimizer",DRV_OPTIMIZER,"Button",
!                     BS_AUTOCHECKBOX | WS_GROUP | WS_TABSTOP,15,18,97,10
!     CONTROL         "Comm&Log (C:\\psqlodbc.log)",DRV_COMMLOG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,140,18,113,10
!     CONTROL         "&KSQO (Keyset Query Optimization)",DRV_KSQO,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,33,124,10
!     CONTROL         "&ReadOnly (Default)",DRV_READONLY,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,140,33,80,10
!     CONTROL         "Recognize Unique &Indexes",DRV_UNIQUEINDEX,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,48,101,10
!     CONTROL         "P&arse Statements",DRV_PARSE,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,140,48,80,10
!     CONTROL         "&Use Declare/Fetch",DRV_USEDECLAREFETCH,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,63,80,10
!     CONTROL         "Cancel as FreeStmt (Exp)",DRV_CANCELASFREESTMT,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,140,63,105,10
!     CONTROL         "Mylog(Debug ouput)",DRV_DEBUG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,140,78,112,10
!     GROUPBOX        "Unknown Sizes",IDC_STATIC,10,93,175,25
!     CONTROL         "Maximum",DRV_UNKNOWN_MAX,"Button",BS_AUTORADIOBUTTON | 
!                     WS_GROUP | WS_TABSTOP,15,104,45,10
!     CONTROL         "Don't Know",DRV_UNKNOWN_DONTKNOW,"Button",
!                     BS_AUTORADIOBUTTON | WS_TABSTOP,70,104,53,10
!     CONTROL         "Longest",DRV_UNKNOWN_LONGEST,"Button",
!                     BS_AUTORADIOBUTTON | WS_TABSTOP,130,104,50,10
!     GROUPBOX        "Data Type Options",IDC_STATIC,10,123,270,25
!     CONTROL         "Text as LongVarChar",DRV_TEXT_LONGVARCHAR,"Button",
!                     BS_AUTOCHECKBOX | WS_GROUP | WS_TABSTOP,15,133,80,10
!     CONTROL         "Unknowns as LongVarChar",DRV_UNKNOWNS_LONGVARCHAR,
!                     "Button",BS_AUTOCHECKBOX | WS_TABSTOP,105,133,100,10
!     CONTROL         "Bools as Char",DRV_BOOLS_CHAR,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,215,133,60,10
!     LTEXT           "&Cache Size:",IDC_STATIC,10,148,40,10
!     EDITTEXT        DRV_CACHE_SIZE,50,153,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max &Varchar:",IDC_STATIC,90,140,45,10
!     EDITTEXT        DRV_VARCHAR_SIZE,135,153,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max Lon&gVarChar:",IDC_STATIC,180,140,60,10
!     EDITTEXT        DRV_LONGVARCHAR_SIZE,240,153,35,12,ES_AUTOHSCROLL
!     LTEXT           "SysTable &Prefixes:",IDC_STATIC,15,155,35,20
!     EDITTEXT        DRV_EXTRASYSTABLEPREFIXES,50,174,75,12,ES_AUTOHSCROLL
!     RTEXT           "Connect &Settings:",IDC_STATIC,10,180,35,20
!     EDITTEXT        DRV_CONNSETTINGS,50,193,225,25,ES_MULTILINE | 
!                     ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "Close",IDOK,25,228,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,90,228,50,15
!     PUSHBUTTON      "Apply",IDAPPLY,155,228,50,14
!     PUSHBUTTON      "Defaults",IDDEFAULTS,220,228,50,15
! END
! 
! DLG_OPTIONS_DS DIALOG DISCARDABLE  0, 0, 267, 216
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (DataSource)"
! FONT 8, "MS Sans Serif"
! BEGIN
!     PUSHBUTTON      "Page 2",IDNEXTPAGE,50,1,40,15
!     PUSHBUTTON      "Page 1",IDPREVPAGE,10,1,40,15
!     CONTROL         "&ReadOnly",DS_READONLY,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,25,18,53,10
!     CONTROL         "Row &Versioning",DS_ROWVERSIONING,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,130,18,85,10
!     CONTROL         "Show System &Tables",DS_SHOWSYSTEMTABLES,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,33,85,10
!     CONTROL         "Disallow &Premature",DS_DISALLOWPREMATURE,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,130,33,85,10
!     CONTROL         "LF <-> CR/LF convert",DS_LFCONVERSION,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,48,92,10
!     CONTROL         "True is -1",DS_TRUEISMINUS1,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,130,48,86,10
!     CONTROL         "(Trial) Updatable Cursors",DS_UPDATABLECURSORS,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,63,102,10
!     GROUPBOX        "Int8 As",IDC_STATIC,15,78,248,25
!     CONTROL         "default",DS_INT8_AS_DEFAULT,"Button",BS_AUTORADIOBUTTON | WS_GROUP,20,
!                     88,35,10
!     CONTROL         "bigint",DS_INT8_AS_BIGINT,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     63,88,35,10
!     CONTROL         "numeric",DS_INT8_AS_NUMERIC,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     106,88,40,10
!     CONTROL         "varchar",DS_INT8_AS_VARCHAR,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     149,88,40,10
!     CONTROL         "double",DS_INT8_AS_DOUBLE,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     192,88,40,10
!     CONTROL         "int4",DS_INT8_AS_INT4,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     235,88,25,10
!     GROUPBOX        "Protocol",IDC_STATIC,15,109,180,25
!     CONTROL         "7.X,6.4+",DS_PG64,"Button",BS_AUTORADIOBUTTON | WS_GROUP,25,
!                     118,35,10
!     CONTROL         "6.3",DS_PG63,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     75,118,26,10
!     CONTROL         "6.2",DS_PG62,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     130,118,26,10
!     GROUPBOX        "OID Options",IDC_STATIC,15,140,180,25
!     CONTROL         "Show &Column",DS_SHOWOIDCOLUMN,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,25,150,59,10
!     CONTROL         "Fake &Index",DS_FAKEOIDINDEX,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,115,150,51,10
!     RTEXT           "Connect &Settings:",IDC_STATIC,10,174,35,25
!     EDITTEXT        DS_CONNSETTINGS,50,174,200,20,ES_MULTILINE | 
!                     ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "Close",IDOK,51,196,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,126,196,50,14
!     PUSHBUTTON      "Apply",IDAPPLY,201,196,50,14
! END
! 
! DLG_OPTIONS_GLOBAL DIALOG DISCARDABLE  0, 0, 306, 90
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Global settings"
! FONT 8, "MS Sans Serif"
! BEGIN
!     CTEXT	"Logging before establishing connections(the default for new DSNs also)",
!                     DRV_MSG_LABEL,25,15,238,10
!     CONTROL         "Comm&Log (C:\\psqlodbc.log)",DRV_COMMLOG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,30,120,10
!     CONTROL         "Mylog(C:\\mylog_xxxx.log Detailed debug output)",
! 		    DRV_DEBUG,"Button", BS_AUTOCHECKBOX | WS_TABSTOP,13,45,200,10
!     DEFPUSHBUTTON   "Save",IDOK,39,70,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,104,70,50,15
! END
! #endif
! 
! /////////////////////////////////////////////////////////////////////////////
! //
! // DESIGNINFO
! //
! 
! #ifdef APSTUDIO_INVOKED
! #ifdef MULTIBYTE
! GUIDELINES DESIGNINFO DISCARDABLE 
! BEGIN
!     DLG_CONFIG, DIALOG
!     BEGIN
!         BOTTOMMARGIN, 112
!     END
! 
!     DLG_OPTIONS_DRV, DIALOG
!     BEGIN
!         LEFTMARGIN, 7
!         RIGHTMARGIN, 301
!         TOPMARGIN, 5
!         BOTTOMMARGIN, 206
!     END
! 
!     DLG_OPTIONS_DS, DIALOG
!     BEGIN
!         LEFTMARGIN, 5
!         RIGHTMARGIN, 260
!         TOPMARGIN, 7
!         BOTTOMMARGIN, 154
!     END
! END
! #else
! GUIDELINES DESIGNINFO DISCARDABLE 
! BEGIN
!     DLG_CONFIG, DIALOG
!     BEGIN
!         BOTTOMMARGIN, 115
!     END
! 
!     DLG_OPTIONS_DRV, DIALOG
!     BEGIN
!         LEFTMARGIN, 7
!         RIGHTMARGIN, 280
!         TOPMARGIN, 7
!         BOTTOMMARGIN, 219
!     END
! 
!     DLG_OPTIONS_DS, DIALOG
!     BEGIN
!         LEFTMARGIN, 5
!         RIGHTMARGIN, 260
!         VERTGUIDE, 55
!         TOPMARGIN, 7
!         BOTTOMMARGIN, 154
!     END
! END
! #endif    // MULTIBYTE
! #endif    // APSTUDIO_INVOKED
! 
! 
! #ifndef _MAC
! /////////////////////////////////////////////////////////////////////////////
! //
! // Version
! //
! 
! VS_VERSION_INFO VERSIONINFO
!  FILEVERSION PG_DRVFILE_VERSION
!  PRODUCTVERSION PG_DRVFILE_VERSION
!  FILEFLAGSMASK 0x3L
! #ifdef _DEBUG
!  FILEFLAGS 0x1L
! #else
!  FILEFLAGS 0x0L
! #endif
!  FILEOS 0x4L
!  FILETYPE 0x2L
!  FILESUBTYPE 0x0L
! BEGIN
!     BLOCK "StringFileInfo"
!     BEGIN
!         BLOCK "040904e4"
!         BEGIN
!             VALUE "Comments", "PostgreSQL ODBC driver\0"
! #ifdef MULTIBYTE
!             VALUE "CompanyName", "Insight Distribution Systems & Sankyo Unyu Service (MULTIBYTE support)\0"
! #else
!             VALUE "CompanyName", "Insight Distribution Systems\0"
! #endif
!             VALUE "FileDescription", "PostgreSQL Driver\0"
!             VALUE "FileVersion", POSTGRES_RESOURCE_VERSION
!             VALUE "InternalName", "psqlodbc\0"
!             VALUE "LegalCopyright", "\0"
!             VALUE "LegalTrademarks", "ODBC(TM) is a trademark of Microsoft Corporation.  Microsoft® is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation.\0"
!             VALUE "OriginalFilename", "psqlodbc.dll\0"
!             VALUE "PrivateBuild", "\0"
!             VALUE "ProductName", "Microsoft Open Database Connectivity\0"
!             VALUE "ProductVersion", POSTGRES_RESOURCE_VERSION
!             VALUE "SpecialBuild", "\0"
!         END
!     END
!     BLOCK "VarFileInfo"
!     BEGIN
!         VALUE "Translation", 0x409, 1252
!     END
! END
! 
! #endif    // !_MAC
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! //
! // String Table
! //
! 
! STRINGTABLE DISCARDABLE 
! BEGIN
!     IDS_BADDSN              "Invalid DSN entry, please recheck."
!     IDS_MSGTITLE            "Invalid DSN"
! END
! 
! #endif    // English (U.S.) resources
! /////////////////////////////////////////////////////////////////////////////
! 
! 
! 
! #ifndef APSTUDIO_INVOKED
! /////////////////////////////////////////////////////////////////////////////
! //
! // Generated from the TEXTINCLUDE 3 resource.
! //
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! #endif    // not APSTUDIO_INVOKED
! 
--- 1,289 ----
! //Microsoft Developer Studio generated resource script.
! //
! #include "resource.h"
! #include "version.h"
! 
! #define APSTUDIO_READONLY_SYMBOLS
! /////////////////////////////////////////////////////////////////////////////
! //
! // Generated from the TEXTINCLUDE 2 resource.
! //
! #include "afxres.h"
! 
! /////////////////////////////////////////////////////////////////////////////
! #undef APSTUDIO_READONLY_SYMBOLS
! 
! /////////////////////////////////////////////////////////////////////////////
! // English (U.S.) resources
! 
! #if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ENU)
! #ifdef _WIN32
! LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_US
! #pragma code_page(1252)
! #endif //_WIN32
! 
! /////////////////////////////////////////////////////////////////////////////
! //
! // Dialog
! //
! 
! 102 DIALOG FIXED IMPURE  0, 0, 287, 231
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (DataSource)"
! FONT 8, "MS Sans Serif"
! BEGIN
!     PUSHBUTTON      "Page 1",1066,5,5,40,15
!     PUSHBUTTON      "Page 2",1065,49,5,40,15
!     CONTROL         "Disable Genetic &Optimizer",1019,"Button",
!                     BS_AUTOCHECKBOX | WS_GROUP | WS_TABSTOP,15,26,97,10
!     CONTROL         "Comm&Log (C:\\psqlodbc_xxxx.log)",1014,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,149,26,131,10
!     CONTROL         "&KSQO (Keyset Query Optimization)",1055,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,41,124,10
!     CONTROL         "Recognize Unique &Indexes",1032,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,56,101,10
!     CONTROL         "P&arse Statements",1052,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,149,41,80,10
!     CONTROL         "&Use Declare/Fetch",1049,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,15,71,80,10
!     CONTROL         "Cancel as FreeStmt (Exp)",1053,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,149,56,105,10
!     CONTROL         "MyLog (C:\\mylog_xxxx.log)",1060,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,149,71,112,10
!     GROUPBOX        "Unknown Sizes",-1,5,85,277,25
!     CONTROL         "Maximum",1035,"Button",BS_AUTORADIOBUTTON | WS_GROUP | 
!                     WS_TABSTOP,15,96,45,10
!     CONTROL         "Don't Know",1036,"Button",BS_AUTORADIOBUTTON | 
!                     WS_TABSTOP,105,96,53,10
!     CONTROL         "Longest",1041,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     215,95,50,10
!     GROUPBOX        "Data Type Options",-1,5,115,277,25
!     CONTROL         "Text as LongVarChar",1043,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,15,125,80,10
!     CONTROL         "Unknowns as LongVarChar",1044,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,105,125,100,10
!     CONTROL         "Bools as Char",1050,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,215,125,60,10
!     LTEXT           "&Cache Size:",-1,14,183,52,8
!     EDITTEXT        1045,69,181,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max &Varchar:",-1,13,161,54,8
!     EDITTEXT        1046,70,160,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max Lon&gVarChar:",-1,125,161,67,8
!     EDITTEXT        1047,199,160,35,12,ES_AUTOHSCROLL
!     LTEXT           "SysTable &Prefixes:",-1,125,183,61,10
!     EDITTEXT        1051,199,181,71,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",1,5,212,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",2,81,211,50,15
!     PUSHBUTTON      "Apply",1074,156,212,50,14
!     PUSHBUTTON      "Defaults",1048,232,211,50,15
!     GROUPBOX        "Miscellanous",-1,5,145,277,58
! END
! 
! 103 DIALOG FIXED IMPURE  0, 0, 287, 231
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (DataSource)"
! FONT 8, "MS Sans Serif"
! BEGIN
!     PUSHBUTTON      "Page 2",1065,49,5,40,15
!     PUSHBUTTON      "Page 1",1066,5,5,40,15
!     CONTROL         "&Read Only",1011,"Button",BS_AUTOCHECKBOX | WS_GROUP | 
!                     WS_TABSTOP,15,26,102,10
!     CONTROL         "Row &Versioning",1052,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,149,26,85,10
!     CONTROL         "Show System &Tables",1051,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,15,41,100,10
!     CONTROL         "Disallow &Premature",1061,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,149,41,85,10
!     CONTROL         "LF <-> CR/LF conversion",1062,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,15,56,102,10
!     CONTROL         "True is -1",1063,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,
!                     149,56,86,10
!     CONTROL         "(Trial) Updatable Cursors",1064,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,71,102,10
!     GROUPBOX        "Int8 As",-1,5,85,277,25
!     CONTROL         "default",1067,"Button",BS_AUTORADIOBUTTON | WS_GROUP,12,
!                     95,35,10
!     CONTROL         "bigint",1068,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     55,95,35,10
!     CONTROL         "numeric",1069,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     98,95,40,10
!     CONTROL         "varchar",1070,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     141,95,40,10
!     CONTROL         "double",1071,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     184,95,40,10
!     CONTROL         "int4",1072,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,227,
!                     95,25,10
!     GROUPBOX        "Protocol",-1,5,115,277,25
!     CONTROL         "7.X,6.4+",1057,"Button",BS_AUTORADIOBUTTON | WS_GROUP,
!                     44,126,35,10
!     CONTROL         "6.3",1058,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,117,
!                     126,26,10
!     CONTROL         "6.2",1016,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,191,
!                     126,26,10
!     GROUPBOX        "OID Options",-1,5,145,277,25
!     CONTROL         "Show &Column",1012,"Button",BS_AUTOCHECKBOX | WS_GROUP | 
!                     WS_TABSTOP,53,157,59,10
!     CONTROL         "Fake &Index",1013,"Button",BS_AUTOCHECKBOX | WS_GROUP | 
!                     WS_TABSTOP,155,156,51,10
!     LTEXT           "Connect &Settings:",-1,5,179,62,10
!     EDITTEXT        1020,71,178,211,27,ES_MULTILINE | ES_AUTOVSCROLL | 
!                     ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "OK",1,5,212,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",2,81,212,50,14
!     PUSHBUTTON      "Apply",1074,156,212,50,14
! END
! 
! 104 DIALOG FIXED IMPURE  0, 0, 306, 87
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Global settings"
! FONT 8, "MS Sans Serif"
! BEGIN
!     CONTROL         "Comm&Log (C:\\psqlodbc_xxxx.log - Communications log)",
!                     1014,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,22,24,263,10
!     CONTROL         "Mylog (C:\\mylog_xxxx.log - Detailed debug output)",
!                     1060,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,22,42,264,10
!     DEFPUSHBUTTON   "OK",1,82,68,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",2,172,67,50,15
!     GROUPBOX        "Pre-connection/default logging options",-1,5,5,296,58
! END
! 
! 1001 DIALOG FIXED IMPURE  65, 43, 292, 116
! STYLE DS_MODALFRAME | DS_3DLOOK | WS_POPUP | WS_VISIBLE | WS_CAPTION | 
!     WS_SYSMENU
! CAPTION "PostgreSQL ODBC Driver (psqlODBC) Setup"
! FONT 8, "MS Sans Serif"
! BEGIN
!     RTEXT           "&Data Source",401,5,11,50,12,NOT WS_GROUP
!     EDITTEXT        400,57,10,72,12,ES_AUTOHSCROLL | WS_GROUP
!     RTEXT           "Des&cription",1039,134,11,39,12,NOT WS_GROUP
!     EDITTEXT        404,175,10,108,12,ES_AUTOHSCROLL
!     RTEXT           "Data&base",-1,16,26,38,12,NOT WS_GROUP
!     EDITTEXT        408,57,25,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Server",-1,26,41,29,12,NOT WS_GROUP
!     EDITTEXT        407,57,40,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Port",-1,151,41,22,12
!     EDITTEXT        1002,175,40,37,12,ES_AUTOHSCROLL
!     RTEXT           "&User Name",-1,16,56,39,12
!     EDITTEXT        1006,57,55,72,12,ES_AUTOHSCROLL
!     RTEXT           "Pass&word",-1,139,57,34,9
!     EDITTEXT        1009,175,55,72,12,ES_PASSWORD | ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",1,25,87,40,14,WS_GROUP
!     PUSHBUTTON      "Cancel",2,80,87,40,14
!     GROUPBOX        "Options",1054,140,74,140,35,BS_LEFT
!     PUSHBUTTON      "Datasource",1018,159,87,50,14
!     PUSHBUTTON      "Global",1021,220,87,50,14
!     CTEXT           "Please supply any missing information required to connect.",
!                     1040,36,5,220,15
! END
! 
! 
! #ifndef _MAC
! /////////////////////////////////////////////////////////////////////////////
! //
! // Version
! //
! 
! 1 VERSIONINFO
!  FILEVERSION PG_DRVFILE_VERSION
!  PRODUCTVERSION PG_DRVFILE_VERSION
!  FILEFLAGSMASK 0x3L
! #ifdef _DEBUG
!  FILEFLAGS 0x1L
! #else
!  FILEFLAGS 0x0L
! #endif
!  FILEOS 0x4L
!  FILETYPE 0x2L
!  FILESUBTYPE 0x0L
! BEGIN
!     BLOCK "StringFileInfo"
!     BEGIN
!         BLOCK "040904e4"
!         BEGIN
!             VALUE "Comments", "PostgreSQL ODBC driver\0"
!             VALUE "CompanyName", "The PostgreSQL Global Development Group\0"
!             VALUE "FileDescription", "PostgreSQL ODBC Driver\0"
!             VALUE "FileVersion", POSTGRES_RESOURCE_VERSION
!             VALUE "InternalName", "psqlODBC\0"
!             VALUE "LegalCopyright", "\0"
!             VALUE "LegalTrademarks", "ODBC(TM) is a trademark of Microsoft Corporation.  Microsoft® is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation.\0"
!             VALUE "OriginalFilename", "psqlodbc.dll\0"
!             VALUE "PrivateBuild", "\0"
!             VALUE "ProductName", "Microsoft Open Database Connectivity\0"
!             VALUE "ProductVersion", POSTGRES_RESOURCE_VERSION
!             VALUE "SpecialBuild", "\0"
!         END
!     END
!     BLOCK "VarFileInfo"
!     BEGIN
!         VALUE "Translation", 0x409, 1252
!     END
! END
! 
! #endif    // !_MAC
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! //
! // String Table
! //
! 
! STRINGTABLE FIXED IMPURE 
! BEGIN
!     1                       "Invalid DSN entry, please recheck."
!     2                       "Invalid DSN"
! END
! 
! #endif    // English (U.S.) resources
! /////////////////////////////////////////////////////////////////////////////
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! // English (U.K.) resources
! 
! #if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ENG)
! #ifdef _WIN32
! LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_UK
! #pragma code_page(1252)
! #endif //_WIN32
! 
! #ifdef APSTUDIO_INVOKED
! /////////////////////////////////////////////////////////////////////////////
! //
! // TEXTINCLUDE
! //
! 
! 1 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "resource.h\0"
! END
! 
! 2 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "#include ""afxres.h""\r\n"
!     "\0"
! END
! 
! 3 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "\r\n"
!     "\0"
! END
! 
! #endif    // APSTUDIO_INVOKED
! 
! #endif    // English (U.K.) resources
! /////////////////////////////////////////////////////////////////////////////
! 
! 
! 
! #ifndef APSTUDIO_INVOKED
! /////////////////////////////////////////////////////////////////////////////
! //
! // Generated from the TEXTINCLUDE 3 resource.
! //
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! #endif    // not APSTUDIO_INVOKED
! 
Index: resource.h
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/odbc/resource.h,v
retrieving revision 1.30
diff -c -r1.30 resource.h
*** resource.h	2002/06/12 02:27:44	1.30
--- resource.h	2002/07/04 08:41:06
***************
*** 1,80 ****
! /* {{NO_DEPENDENCIES}}
 */
! /*	Microsoft Developer Studio generated include file.
 */
! /*	Used by psqlodbc.rc
 */
! /*
 */
! #define IDS_BADDSN						1
! #define IDS_MSGTITLE					2
! #define DLG_OPTIONS_DRV					102
! #define DLG_OPTIONS_DS					103
! #define DLG_OPTIONS_GLOBAL				104
! #define IDC_DSNAME						400
! #define IDC_DSNAMETEXT					401
! #define IDC_DESC						404
! #define IDC_SERVER						407
! #define IDC_DATABASE					408
! #define DLG_CONFIG						1001
! #define IDC_PORT						1002
! #define IDC_USER						1006
! #define IDC_PASSWORD					1009
! #define DS_READONLY						1011
! #define DS_SHOWOIDCOLUMN				1012
! #define DS_FAKEOIDINDEX					1013
! #define DRV_COMMLOG						1014
! #define DS_PG62							1016
! #define IDC_DATASOURCE					1018
! #define DRV_OPTIMIZER					1019
! #define DS_CONNSETTINGS					1020
! #define IDC_DRIVER						1021
! #define DRV_CONNSETTINGS				1031
! #define DRV_UNIQUEINDEX					1032
! #define DRV_UNKNOWN_MAX					1035
! #define DRV_UNKNOWN_DONTKNOW			1036
! #define DRV_READONLY					1037
! #define IDC_DESCTEXT					1039
! #define DRV_MSG_LABEL					1040
! #define DRV_UNKNOWN_LONGEST				1041
! #define DRV_TEXT_LONGVARCHAR			1043
! #define DRV_UNKNOWNS_LONGVARCHAR		1044
! #define DRV_CACHE_SIZE					1045
! #define DRV_VARCHAR_SIZE				1046
! #define DRV_LONGVARCHAR_SIZE			1047
! #define IDDEFAULTS						1048
! #define DRV_USEDECLAREFETCH				1049
! #define DRV_BOOLS_CHAR					1050
! #define DS_SHOWSYSTEMTABLES				1051
! #define DRV_EXTRASYSTABLEPREFIXES		1051
! #define DS_ROWVERSIONING				1052
! #define DRV_PARSE						1052
! #define DRV_CANCELASFREESTMT			1053
! #define IDC_OPTIONS						1054
! #define DRV_KSQO						1055
! #define DS_PG64							1057
! #define DS_PG63							1058
! #define DRV_OR_DSN						1059
! #define DRV_DEBUG			1060
! #define DS_DISALLOWPREMATURE		1061
! #define DS_LFCONVERSION			1062
! #define DS_TRUEISMINUS1			1063
! #define DS_UPDATABLECURSORS		1064
! #define IDNEXTPAGE			1065
! #define IDPREVPAGE			1066
! #define DS_INT8_AS_DEFAULT		1067
! #define DS_INT8_AS_BIGINT		1068
! #define DS_INT8_AS_NUMERIC		1069
! #define DS_INT8_AS_VARCHAR		1070
! #define DS_INT8_AS_DOUBLE		1071
! #define DS_INT8_AS_INT4			1072
! #define DRV_MSG_LABEL2			1073
! #define IDAPPLY				1074
! 
! /*	Next default values for new objects
 */
! /*
 */
! #ifdef APSTUDIO_INVOKED
! #ifndef APSTUDIO_READONLY_SYMBOLS
! #define _APS_NEXT_RESOURCE_VALUE		105
! #define _APS_NEXT_COMMAND_VALUE			40001
! #define _APS_NEXT_CONTROL_VALUE			1075
! #define _APS_NEXT_SYMED_VALUE			101
! #endif   /*
 */
  
! #endif   /*
 */
--- 1,79 ----
! //{{NO_DEPENDENCIES}}
! // Microsoft Developer Studio generated include file.
! // Used by psqlodbc.rc
! //
! #define IDS_BADDSN                      1
! #define IDS_MSGTITLE                    2
! #define DLG_OPTIONS_DRV                 102
! #define DLG_OPTIONS_DS                  103
! #define DLG_OPTIONS_GLOBAL              104
! #define IDC_DSNAME                      400
! #define IDC_DSNAMETEXT                  401
! #define IDC_DESC                        404
! #define IDC_SERVER                      407
! #define IDC_DATABASE                    408
! #define DLG_CONFIG                      1001
! #define IDC_PORT                        1002
! #define IDC_USER                        1006
! #define IDC_PASSWORD                    1009
! #define DS_READONLY                     1011
! #define DS_SHOWOIDCOLUMN                1012
! #define DS_FAKEOIDINDEX                 1013
! #define DRV_COMMLOG                     1014
! #define DS_PG62                         1016
! #define IDC_DATASOURCE                  1018
! #define DRV_OPTIMIZER                   1019
! #define DS_CONNSETTINGS                 1020
! #define IDC_DRIVER                      1021
! #define DRV_CONNSETTINGS                1031
! #define DRV_UNIQUEINDEX                 1032
! #define DRV_UNKNOWN_MAX                 1035
! #define DRV_UNKNOWN_DONTKNOW            1036
! #define DRV_READONLY                    1037
! #define IDC_DESCTEXT                    1039
! #define DRV_MSG_LABEL                   1040
! #define DRV_UNKNOWN_LONGEST             1041
! #define DRV_TEXT_LONGVARCHAR            1043
! #define DRV_UNKNOWNS_LONGVARCHAR        1044
! #define DRV_CACHE_SIZE                  1045
! #define DRV_VARCHAR_SIZE                1046
! #define DRV_LONGVARCHAR_SIZE            1047
! #define IDDEFAULTS                      1048
! #define DRV_USEDECLAREFETCH             1049
! #define DRV_BOOLS_CHAR                  1050
! #define DS_SHOWSYSTEMTABLES             1051
! #define DRV_EXTRASYSTABLEPREFIXES       1051
! #define DS_ROWVERSIONING                1052
! #define DRV_PARSE                       1052
! #define DRV_CANCELASFREESTMT            1053
! #define IDC_OPTIONS                     1054
! #define DRV_KSQO                        1055
! #define DS_PG64                         1057
! #define DS_PG63                         1058
! #define DRV_OR_DSN                      1059
! #define DRV_DEBUG                       1060
! #define DS_DISALLOWPREMATURE            1061
! #define DS_LFCONVERSION                 1062
! #define DS_TRUEISMINUS1                 1063
! #define DS_UPDATABLECURSORS             1064
! #define IDNEXTPAGE                      1065
! #define IDPREVPAGE                      1066
! #define DS_INT8_AS_DEFAULT              1067
! #define DS_INT8_AS_BIGINT               1068
! #define DS_INT8_AS_NUMERIC              1069
! #define DS_INT8_AS_VARCHAR              1070
! #define DS_INT8_AS_DOUBLE               1071
! #define DS_INT8_AS_INT4                 1072
! #define DRV_MSG_LABEL2                  1073
! #define IDAPPLY                         1074
  
! // Next default values for new objects
! // 
! #ifdef APSTUDIO_INVOKED
! #ifndef APSTUDIO_READONLY_SYMBOLS
! #define _APS_NEXT_RESOURCE_VALUE        105
! #define _APS_NEXT_COMMAND_VALUE         40001
! #define _APS_NEXT_CONTROL_VALUE         1075
! #define _APS_NEXT_SYMED_VALUE           101
! #endif
! #endif
? psqlodbc.aps
? Release
? ui.patch
Index: notice.txt
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/odbc/notice.txt,v
retrieving revision 1.2
diff -c -r1.2 notice.txt
*** notice.txt	1998/06/03 20:33:40	1.2
--- notice.txt	2002/07/04 08:57:46
***************
*** 4,11 ****
    PSQLODBC.DLL - A library to talk to the PostgreSQL DBMS using ODBC.
  
  
!   Copyright (C) 1998; Insight Distribution Systems
  
    The code contained in this library is based on code written by 
    Christian Czezatke and Dan McGuirk, (C) 1996.
  
--- 4,14 ----
    PSQLODBC.DLL - A library to talk to the PostgreSQL DBMS using ODBC.
  
  
!   Copyright (C) 1998          Insight Distribution Systems
!   Copyright (C) 1998 - 2002   The PostgreSQL Global Development Group
  
+   Multibyte support was added by Sankyo Unyu Service, (C) 2001.
+ 
    The code contained in this library is based on code written by 
    Christian Czezatke and Dan McGuirk, (C) 1996.
  
***************
*** 26,34 ****
    02139, USA.
  
  
!   How to contact the author:
  
!   email:  byronn@insightdist.com	(Byron Nikolaidis)
  
  
  ***********************************************************************/
--- 29,37 ----
    02139, USA.
  
  
!   How to contact the authors:
  
!   email:  pgsql-odbc@postgresql.org
  
  
  ***********************************************************************/
Index: psqlodbc.rc
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/odbc/psqlodbc.rc,v
retrieving revision 1.37
diff -c -r1.37 psqlodbc.rc
*** psqlodbc.rc	2002/06/12 02:27:44	1.37
--- psqlodbc.rc	2002/07/04 08:57:46
***************
*** 1,506 ****
! //Microsoft Developer Studio generated resource script.
! //
! #include "resource.h"
! #include "version.h"
! 
! #define APSTUDIO_READONLY_SYMBOLS
! /////////////////////////////////////////////////////////////////////////////
! //
! // Generated from the TEXTINCLUDE 2 resource.
! //
! #include "afxres.h"
! 
! /////////////////////////////////////////////////////////////////////////////
! #undef APSTUDIO_READONLY_SYMBOLS
! 
! /////////////////////////////////////////////////////////////////////////////
! // English (U.S.) resources
! 
! #if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ENU)
! #ifdef _WIN32
! LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_US
! #pragma code_page(1252)
! #endif //_WIN32
! 
! #ifdef APSTUDIO_INVOKED
! /////////////////////////////////////////////////////////////////////////////
! //
! // TEXTINCLUDE
! //
! 
! 1 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "resource.h\0"
! END
! 
! 2 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "#include ""afxres.h""\r\n"
!     "\0"
! END
! 
! 3 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "\r\n"
!     "\0"
! END
! 
! #endif    // APSTUDIO_INVOKED
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! //
! // Dialog
! //
! 
! #ifdef MULTIBYTE
! DLG_CONFIG DIALOG DISCARDABLE  65, 43, 299, 113
! STYLE DS_MODALFRAME | DS_3DLOOK | WS_POPUP | WS_VISIBLE | WS_CAPTION | 
!     WS_SYSMENU
! CAPTION "PostgreSQL Driver Setup"
! FONT 10, "Terminal"
! BEGIN
!     RTEXT           "&Data Source:",IDC_DSNAMETEXT,3,9,49,8,NOT WS_GROUP
!     EDITTEXT        IDC_DSNAME,59,9,72,12,ES_AUTOHSCROLL | WS_GROUP
!     RTEXT           "Des&cription:",IDC_DESCTEXT,135,10,49,8,NOT WS_GROUP
!     EDITTEXT        IDC_DESC,185,10,110,25,ES_AUTOHSCROLL
!     RTEXT           "Data&base:",IDC_STATIC,15,24,37,8,NOT WS_GROUP
!     EDITTEXT        IDC_DATABASE,59,24,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Server:",IDC_STATIC,23,38,29,8,NOT WS_GROUP
!     EDITTEXT        IDC_SERVER,59,38,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Port:",IDC_STATIC,161,38,21,8
!     EDITTEXT        IDC_PORT,185,38,37,12,ES_AUTOHSCROLL
!     RTEXT           "&User Name:",IDC_STATIC,11,53,41,8
!     EDITTEXT        IDC_USER,59,53,72,12,ES_AUTOHSCROLL
!     RTEXT           "Pass&word:",IDC_STATIC,145,53,37,8
!     EDITTEXT        IDC_PASSWORD,185,53,72,12,ES_PASSWORD | ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",IDOK,27,88,40,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,81,88,40,14
!     GROUPBOX        "Options (Advanced):",IDC_OPTIONS,141,72,140,35,
!                     BS_CENTER
!     PUSHBUTTON      "DataSource",IDC_DATASOURCE,149,89,50,14
!     PUSHBUTTON      "Global",IDC_DRIVER,221,88,50,14
!     CTEXT           "Please supply any missing information needed to connect.",
!                     DRV_MSG_LABEL,25,4,238,10
! END
! 
! DLG_OPTIONS_DRV DIALOG DISCARDABLE  0, 0, 306, 226
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (Driver)"
! FONT 10, "Terminal"
! BEGIN
!     PUSHBUTTON      "Page 1",IDPREVPAGE,10,1,40,15
!     PUSHBUTTON      "Page 2",IDNEXTPAGE,50,1,40,15
!     CTEXT           "Set your site's defaults (for new DSNs).",
!                     DRV_MSG_LABEL2,15,1,270,10, SS_CENTER | WS_GROUP, WS_EX_STATICEDGE
!     CONTROL         "Disable Genetic &Optimizer",DRV_OPTIMIZER,"Button",
!                     BS_AUTOCHECKBOX | WS_GROUP | WS_TABSTOP,13,18,116,10
!     CONTROL         "Comm&Log (C:\\psqlodbc.log)",DRV_COMMLOG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,164,18,120,10
!     CONTROL         "&KSQO (Keyset Query Optimization)",DRV_KSQO,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,30,144,10
!     CONTROL         "&ReadOnly (Default)",DRV_READONLY,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,164,31,88,10
!     CONTROL         "Recognize Unique &Indexes",DRV_UNIQUEINDEX,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,42,112,10
!     CONTROL         "P&arse Statements",DRV_PARSE,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,164,44,80,10
!     CONTROL         "&Use Declare/Fetch",DRV_USEDECLAREFETCH,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,54,84,10
!     CONTROL         "Cancel as FreeStmt (Exp)",DRV_CANCELASFREESTMT,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,164,57,112,10
!     CONTROL         "Mylog(Debug ouput)",DRV_DEBUG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,164,70,112,10
!     GROUPBOX        "Unknown Sizes",IDC_STATIC,13,81,175,24
!     CONTROL         "Maximum",DRV_UNKNOWN_MAX,"Button",BS_AUTORADIOBUTTON | 
!                     WS_GROUP | WS_TABSTOP,21,89,44,10
!     CONTROL         "Don't Know",DRV_UNKNOWN_DONTKNOW,"Button",
!                     BS_AUTORADIOBUTTON | WS_TABSTOP,72,89,56,10
!     CONTROL         "Longest",DRV_UNKNOWN_LONGEST,"Button",
!                     BS_AUTORADIOBUTTON | WS_TABSTOP,135,89,44,10
!     GROUPBOX        "Data Type Options",IDC_STATIC,13,109,282,23
!     CONTROL         "Text as LongVarChar",DRV_TEXT_LONGVARCHAR,"Button",
!                     BS_AUTOCHECKBOX | WS_GROUP | WS_TABSTOP,15,120,92,10
!     CONTROL         "Unknowns as LongVarChar",DRV_UNKNOWNS_LONGVARCHAR,
!                     "Button",BS_AUTOCHECKBOX | WS_TABSTOP,112,120,108,10
!     CONTROL         "Bools as Char",DRV_BOOLS_CHAR,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,225,120,68,10
!     LTEXT           "&Cache Size:",IDC_STATIC,15,138,45,8
!     EDITTEXT        DRV_CACHE_SIZE,61,134,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max &Varchar:",IDC_STATIC,99,138,49,8
!     EDITTEXT        DRV_VARCHAR_SIZE,149,134,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max Lon&gVarChar:",IDC_STATIC,192,138,65,8
!     EDITTEXT        DRV_LONGVARCHAR_SIZE,259,134,35,12,ES_AUTOHSCROLL
!     LTEXT           "SysTable &Prefixes:",IDC_STATIC,23,149,36,20
!     EDITTEXT        DRV_EXTRASYSTABLEPREFIXES,61,158,75,12,ES_AUTOHSCROLL
!     LTEXT           "Connect &Settings:",IDC_STATIC,22,170,35,20
!     EDITTEXT        DRV_CONNSETTINGS,61,170,225,25,ES_MULTILINE | 
!                     ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "Close",IDOK,39,201,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,104,201,50,15
!     PUSHBUTTON      "Apply",IDAPPLY,169,201,50,14
!     PUSHBUTTON      "Defaults",IDDEFAULTS,234,201,50,15
! END
! 
! DLG_OPTIONS_DS DIALOG DISCARDABLE  0, 0, 267, 226
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (DataSource)"
! FONT 10, "Terminal"
! BEGIN
!     PUSHBUTTON      "Page 2",IDNEXTPAGE,50,1,40,15
!     PUSHBUTTON      "Page 1",IDPREVPAGE,10,1,40,15
!     CONTROL         "&ReadOnly",DS_READONLY,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,25,18,48,10
!     CONTROL         "Row &Versioning",DS_ROWVERSIONING,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,129,18,72,10
!     CONTROL         "Show System &Tables",DS_SHOWSYSTEMTABLES,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,33,88,10
!     CONTROL         "Disallow &Premature",DS_DISALLOWPREMATURE,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,129,33,86,10
!     CONTROL         "LF <-> CR/LF convert",DS_LFCONVERSION,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,48,92,10
!     CONTROL         "True is -1",DS_TRUEISMINUS1,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,129,48,86,10
!     CONTROL         "(Trial) Updatable cursors",DS_UPDATABLECURSORS,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,63,112,10
!     GROUPBOX        "Int8 As",IDC_STATIC,23,79,235,25
!     CONTROL         "default",DS_INT8_AS_DEFAULT,"Button",BS_AUTORADIOBUTTON | 
!                     WS_GROUP,30,89,47,10
!     CONTROL         "bigint",DS_INT8_AS_BIGINT,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     70,89,35,10
!     CONTROL         "numeric",DS_INT8_AS_NUMERIC,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     107,89,40,10
!     CONTROL         "varchar",DS_INT8_AS_VARCHAR,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     149,89,40,10
!     CONTROL         "double",DS_INT8_AS_DOUBLE,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     190,89,40,10
!     CONTROL         "int4",DS_INT8_AS_INT4,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     227,89,28,10
!     GROUPBOX        "Protocol",IDC_STATIC,23,109,180,25
!     CONTROL         "7.X,6.4+",DS_PG64,"Button",BS_AUTORADIOBUTTON | 
!                     WS_GROUP,33,119,47,10
!     CONTROL         "6.3",DS_PG63,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     83,119,26,10
!     CONTROL         "6.2",DS_PG62,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     133,119,26,10
!     GROUPBOX        "OID Options",IDC_STATIC,23,129,180,25
!     CONTROL         "Show &Column",DS_SHOWOIDCOLUMN,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,33,140,59,10
!     CONTROL         "Fake &Index",DS_FAKEOIDINDEX,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,141,140,55,10
!     LTEXT           "Connect &Settings:",IDC_STATIC,10,170,35,25
!     EDITTEXT        DS_CONNSETTINGS,50,170,200,20,ES_MULTILINE | 
!                     ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "Close",IDOK,51,195,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,126,195,50,14
!     PUSHBUTTON      "Apply",IDAPPLY,201,195,50,14
! END
! 
! DLG_OPTIONS_GLOBAL DIALOG DISCARDABLE  0, 0, 306, 90
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Global settings"
! FONT 10, "Terminal"
! BEGIN
!     CTEXT	"Logging before establishing connections(the default for new DSNs also)",
!                     DRV_MSG_LABEL,25,15,238,10
!     CONTROL         "Comm&Log (C:\\psqlodbc.log)",DRV_COMMLOG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,30,120,10
!     CONTROL         "Mylog(C:\\mylog_xxxx.log Detailed debug output)",DRV_DEBUG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,45,200,10
!     DEFPUSHBUTTON   "Save",IDOK,39,70,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,104,70,50,15
! END
! #else
! DLG_CONFIG DIALOG DISCARDABLE  65, 43, 292, 116
! STYLE DS_MODALFRAME | DS_3DLOOK | WS_POPUP | WS_VISIBLE | WS_CAPTION | 
!     WS_SYSMENU
! CAPTION "PostgreSQL Driver Setup"
! FONT 8, "MS Sans Serif"
! BEGIN
!     RTEXT           "&Data Source:",IDC_DSNAMETEXT,5,10,50,12,NOT WS_GROUP
!     EDITTEXT        IDC_DSNAME,57,10,72,12,ES_AUTOHSCROLL | WS_GROUP
!     RTEXT           "Des&cription:",IDC_DESCTEXT,135,10,39,12,NOT WS_GROUP
!     EDITTEXT        IDC_DESC,175,10,108,12,ES_AUTOHSCROLL
!     RTEXT           "Data&base:",IDC_STATIC,17,25,38,12,NOT WS_GROUP
!     EDITTEXT        IDC_DATABASE,57,25,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Server:",IDC_STATIC,27,40,29,12,NOT WS_GROUP
!     EDITTEXT        IDC_SERVER,57,40,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Port:",IDC_STATIC,153,40,22,12
!     EDITTEXT        IDC_PORT,175,40,37,12,ES_AUTOHSCROLL
!     RTEXT           "&User Name:",IDC_STATIC,17,55,39,12
!     EDITTEXT        IDC_USER,57,55,72,12,ES_AUTOHSCROLL
!     RTEXT           "Pass&word:",IDC_STATIC,141,55,34,12
!     EDITTEXT        IDC_PASSWORD,175,55,72,12,ES_PASSWORD | ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",IDOK,25,90,40,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,80,90,40,14
!     GROUPBOX        "Options (Advanced):",IDC_OPTIONS,140,74,140,35,
!                     BS_CENTER
!     PUSHBUTTON      "DataSource",IDC_DATASOURCE,160,90,50,14
!     PUSHBUTTON      "Global",IDC_DRIVER,220,90,50,14
!     CTEXT           "Please supply any missing information needed to connect.",
!                     DRV_MSG_LABEL,36,5,220,15
! END
! 
! DLG_OPTIONS_DRV DIALOG DISCARDABLE  0, 0, 287, 250
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (Driver)"
! FONT 8, "MS Sans Serif"
! BEGIN
!     PUSHBUTTON      "Page 1",IDPREVPAGE,10,1,40,15
!     PUSHBUTTON      "Page 2",IDNEXTPAGE,50,1,40,15
!     CTEXT           "Set your site's defaults (for new DSNs).",
!                     DRV_MSG_LABEL2,15,1,270,10, SS_CENTER | WS_GROUP, WS_EX_STATICEDGE
!     CONTROL         "Disable Genetic &Optimizer",DRV_OPTIMIZER,"Button",
!                     BS_AUTOCHECKBOX | WS_GROUP | WS_TABSTOP,15,18,97,10
!     CONTROL         "Comm&Log (C:\\psqlodbc.log)",DRV_COMMLOG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,140,18,113,10
!     CONTROL         "&KSQO (Keyset Query Optimization)",DRV_KSQO,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,33,124,10
!     CONTROL         "&ReadOnly (Default)",DRV_READONLY,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,140,33,80,10
!     CONTROL         "Recognize Unique &Indexes",DRV_UNIQUEINDEX,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,48,101,10
!     CONTROL         "P&arse Statements",DRV_PARSE,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,140,48,80,10
!     CONTROL         "&Use Declare/Fetch",DRV_USEDECLAREFETCH,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,63,80,10
!     CONTROL         "Cancel as FreeStmt (Exp)",DRV_CANCELASFREESTMT,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,140,63,105,10
!     CONTROL         "Mylog(Debug ouput)",DRV_DEBUG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,140,78,112,10
!     GROUPBOX        "Unknown Sizes",IDC_STATIC,10,93,175,25
!     CONTROL         "Maximum",DRV_UNKNOWN_MAX,"Button",BS_AUTORADIOBUTTON | 
!                     WS_GROUP | WS_TABSTOP,15,104,45,10
!     CONTROL         "Don't Know",DRV_UNKNOWN_DONTKNOW,"Button",
!                     BS_AUTORADIOBUTTON | WS_TABSTOP,70,104,53,10
!     CONTROL         "Longest",DRV_UNKNOWN_LONGEST,"Button",
!                     BS_AUTORADIOBUTTON | WS_TABSTOP,130,104,50,10
!     GROUPBOX        "Data Type Options",IDC_STATIC,10,123,270,25
!     CONTROL         "Text as LongVarChar",DRV_TEXT_LONGVARCHAR,"Button",
!                     BS_AUTOCHECKBOX | WS_GROUP | WS_TABSTOP,15,133,80,10
!     CONTROL         "Unknowns as LongVarChar",DRV_UNKNOWNS_LONGVARCHAR,
!                     "Button",BS_AUTOCHECKBOX | WS_TABSTOP,105,133,100,10
!     CONTROL         "Bools as Char",DRV_BOOLS_CHAR,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,215,133,60,10
!     LTEXT           "&Cache Size:",IDC_STATIC,10,148,40,10
!     EDITTEXT        DRV_CACHE_SIZE,50,153,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max &Varchar:",IDC_STATIC,90,140,45,10
!     EDITTEXT        DRV_VARCHAR_SIZE,135,153,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max Lon&gVarChar:",IDC_STATIC,180,140,60,10
!     EDITTEXT        DRV_LONGVARCHAR_SIZE,240,153,35,12,ES_AUTOHSCROLL
!     LTEXT           "SysTable &Prefixes:",IDC_STATIC,15,155,35,20
!     EDITTEXT        DRV_EXTRASYSTABLEPREFIXES,50,174,75,12,ES_AUTOHSCROLL
!     RTEXT           "Connect &Settings:",IDC_STATIC,10,180,35,20
!     EDITTEXT        DRV_CONNSETTINGS,50,193,225,25,ES_MULTILINE | 
!                     ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "Close",IDOK,25,228,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,90,228,50,15
!     PUSHBUTTON      "Apply",IDAPPLY,155,228,50,14
!     PUSHBUTTON      "Defaults",IDDEFAULTS,220,228,50,15
! END
! 
! DLG_OPTIONS_DS DIALOG DISCARDABLE  0, 0, 267, 216
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (DataSource)"
! FONT 8, "MS Sans Serif"
! BEGIN
!     PUSHBUTTON      "Page 2",IDNEXTPAGE,50,1,40,15
!     PUSHBUTTON      "Page 1",IDPREVPAGE,10,1,40,15
!     CONTROL         "&ReadOnly",DS_READONLY,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,25,18,53,10
!     CONTROL         "Row &Versioning",DS_ROWVERSIONING,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,130,18,85,10
!     CONTROL         "Show System &Tables",DS_SHOWSYSTEMTABLES,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,33,85,10
!     CONTROL         "Disallow &Premature",DS_DISALLOWPREMATURE,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,130,33,85,10
!     CONTROL         "LF <-> CR/LF convert",DS_LFCONVERSION,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,48,92,10
!     CONTROL         "True is -1",DS_TRUEISMINUS1,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,130,48,86,10
!     CONTROL         "(Trial) Updatable Cursors",DS_UPDATABLECURSORS,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,25,63,102,10
!     GROUPBOX        "Int8 As",IDC_STATIC,15,78,248,25
!     CONTROL         "default",DS_INT8_AS_DEFAULT,"Button",BS_AUTORADIOBUTTON | WS_GROUP,20,
!                     88,35,10
!     CONTROL         "bigint",DS_INT8_AS_BIGINT,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     63,88,35,10
!     CONTROL         "numeric",DS_INT8_AS_NUMERIC,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     106,88,40,10
!     CONTROL         "varchar",DS_INT8_AS_VARCHAR,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     149,88,40,10
!     CONTROL         "double",DS_INT8_AS_DOUBLE,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     192,88,40,10
!     CONTROL         "int4",DS_INT8_AS_INT4,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     235,88,25,10
!     GROUPBOX        "Protocol",IDC_STATIC,15,109,180,25
!     CONTROL         "7.X,6.4+",DS_PG64,"Button",BS_AUTORADIOBUTTON | WS_GROUP,25,
!                     118,35,10
!     CONTROL         "6.3",DS_PG63,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     75,118,26,10
!     CONTROL         "6.2",DS_PG62,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     130,118,26,10
!     GROUPBOX        "OID Options",IDC_STATIC,15,140,180,25
!     CONTROL         "Show &Column",DS_SHOWOIDCOLUMN,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,25,150,59,10
!     CONTROL         "Fake &Index",DS_FAKEOIDINDEX,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,115,150,51,10
!     RTEXT           "Connect &Settings:",IDC_STATIC,10,174,35,25
!     EDITTEXT        DS_CONNSETTINGS,50,174,200,20,ES_MULTILINE | 
!                     ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "Close",IDOK,51,196,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,126,196,50,14
!     PUSHBUTTON      "Apply",IDAPPLY,201,196,50,14
! END
! 
! DLG_OPTIONS_GLOBAL DIALOG DISCARDABLE  0, 0, 306, 90
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Global settings"
! FONT 8, "MS Sans Serif"
! BEGIN
!     CTEXT	"Logging before establishing connections(the default for new DSNs also)",
!                     DRV_MSG_LABEL,25,15,238,10
!     CONTROL         "Comm&Log (C:\\psqlodbc.log)",DRV_COMMLOG,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,13,30,120,10
!     CONTROL         "Mylog(C:\\mylog_xxxx.log Detailed debug output)",
! 		    DRV_DEBUG,"Button", BS_AUTOCHECKBOX | WS_TABSTOP,13,45,200,10
!     DEFPUSHBUTTON   "Save",IDOK,39,70,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",IDCANCEL,104,70,50,15
! END
! #endif
! 
! /////////////////////////////////////////////////////////////////////////////
! //
! // DESIGNINFO
! //
! 
! #ifdef APSTUDIO_INVOKED
! #ifdef MULTIBYTE
! GUIDELINES DESIGNINFO DISCARDABLE 
! BEGIN
!     DLG_CONFIG, DIALOG
!     BEGIN
!         BOTTOMMARGIN, 112
!     END
! 
!     DLG_OPTIONS_DRV, DIALOG
!     BEGIN
!         LEFTMARGIN, 7
!         RIGHTMARGIN, 301
!         TOPMARGIN, 5
!         BOTTOMMARGIN, 206
!     END
! 
!     DLG_OPTIONS_DS, DIALOG
!     BEGIN
!         LEFTMARGIN, 5
!         RIGHTMARGIN, 260
!         TOPMARGIN, 7
!         BOTTOMMARGIN, 154
!     END
! END
! #else
! GUIDELINES DESIGNINFO DISCARDABLE 
! BEGIN
!     DLG_CONFIG, DIALOG
!     BEGIN
!         BOTTOMMARGIN, 115
!     END
! 
!     DLG_OPTIONS_DRV, DIALOG
!     BEGIN
!         LEFTMARGIN, 7
!         RIGHTMARGIN, 280
!         TOPMARGIN, 7
!         BOTTOMMARGIN, 219
!     END
! 
!     DLG_OPTIONS_DS, DIALOG
!     BEGIN
!         LEFTMARGIN, 5
!         RIGHTMARGIN, 260
!         VERTGUIDE, 55
!         TOPMARGIN, 7
!         BOTTOMMARGIN, 154
!     END
! END
! #endif    // MULTIBYTE
! #endif    // APSTUDIO_INVOKED
! 
! 
! #ifndef _MAC
! /////////////////////////////////////////////////////////////////////////////
! //
! // Version
! //
! 
! VS_VERSION_INFO VERSIONINFO
!  FILEVERSION PG_DRVFILE_VERSION
!  PRODUCTVERSION PG_DRVFILE_VERSION
!  FILEFLAGSMASK 0x3L
! #ifdef _DEBUG
!  FILEFLAGS 0x1L
! #else
!  FILEFLAGS 0x0L
! #endif
!  FILEOS 0x4L
!  FILETYPE 0x2L
!  FILESUBTYPE 0x0L
! BEGIN
!     BLOCK "StringFileInfo"
!     BEGIN
!         BLOCK "040904e4"
!         BEGIN
!             VALUE "Comments", "PostgreSQL ODBC driver\0"
! #ifdef MULTIBYTE
!             VALUE "CompanyName", "Insight Distribution Systems & Sankyo Unyu Service (MULTIBYTE support)\0"
! #else
!             VALUE "CompanyName", "Insight Distribution Systems\0"
! #endif
!             VALUE "FileDescription", "PostgreSQL Driver\0"
!             VALUE "FileVersion", POSTGRES_RESOURCE_VERSION
!             VALUE "InternalName", "psqlodbc\0"
!             VALUE "LegalCopyright", "\0"
!             VALUE "LegalTrademarks", "ODBC(TM) is a trademark of Microsoft Corporation.  Microsoft® is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation.\0"
!             VALUE "OriginalFilename", "psqlodbc.dll\0"
!             VALUE "PrivateBuild", "\0"
!             VALUE "ProductName", "Microsoft Open Database Connectivity\0"
!             VALUE "ProductVersion", POSTGRES_RESOURCE_VERSION
!             VALUE "SpecialBuild", "\0"
!         END
!     END
!     BLOCK "VarFileInfo"
!     BEGIN
!         VALUE "Translation", 0x409, 1252
!     END
! END
! 
! #endif    // !_MAC
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! //
! // String Table
! //
! 
! STRINGTABLE DISCARDABLE 
! BEGIN
!     IDS_BADDSN              "Invalid DSN entry, please recheck."
!     IDS_MSGTITLE            "Invalid DSN"
! END
! 
! #endif    // English (U.S.) resources
! /////////////////////////////////////////////////////////////////////////////
! 
! 
! 
! #ifndef APSTUDIO_INVOKED
! /////////////////////////////////////////////////////////////////////////////
! //
! // Generated from the TEXTINCLUDE 3 resource.
! //
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! #endif    // not APSTUDIO_INVOKED
! 
--- 1,289 ----
! //Microsoft Developer Studio generated resource script.
! //
! #include "resource.h"
! #include "version.h"
! 
! #define APSTUDIO_READONLY_SYMBOLS
! /////////////////////////////////////////////////////////////////////////////
! //
! // Generated from the TEXTINCLUDE 2 resource.
! //
! #include "afxres.h"
! 
! /////////////////////////////////////////////////////////////////////////////
! #undef APSTUDIO_READONLY_SYMBOLS
! 
! /////////////////////////////////////////////////////////////////////////////
! // English (U.S.) resources
! 
! #if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ENU)
! #ifdef _WIN32
! LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_US
! #pragma code_page(1252)
! #endif //_WIN32
! 
! /////////////////////////////////////////////////////////////////////////////
! //
! // Dialog
! //
! 
! 102 DIALOG FIXED IMPURE  0, 0, 287, 231
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (DataSource)"
! FONT 8, "MS Sans Serif"
! BEGIN
!     PUSHBUTTON      "Page 1",1066,5,5,40,15
!     PUSHBUTTON      "Page 2",1065,49,5,40,15
!     CONTROL         "Disable Genetic &Optimizer",1019,"Button",
!                     BS_AUTOCHECKBOX | WS_GROUP | WS_TABSTOP,15,26,97,10
!     CONTROL         "Comm&Log (C:\\psqlodbc_xxxx.log)",1014,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,149,26,131,10
!     CONTROL         "&KSQO (Keyset Query Optimization)",1055,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,41,124,10
!     CONTROL         "Recognize Unique &Indexes",1032,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,56,101,10
!     CONTROL         "P&arse Statements",1052,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,149,41,80,10
!     CONTROL         "&Use Declare/Fetch",1049,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,15,71,80,10
!     CONTROL         "Cancel as FreeStmt (Exp)",1053,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,149,56,105,10
!     CONTROL         "MyLog (C:\\mylog_xxxx.log)",1060,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,149,71,112,10
!     GROUPBOX        "Unknown Sizes",-1,5,85,277,25
!     CONTROL         "Maximum",1035,"Button",BS_AUTORADIOBUTTON | WS_GROUP | 
!                     WS_TABSTOP,15,96,45,10
!     CONTROL         "Don't Know",1036,"Button",BS_AUTORADIOBUTTON | 
!                     WS_TABSTOP,105,96,53,10
!     CONTROL         "Longest",1041,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     215,95,50,10
!     GROUPBOX        "Data Type Options",-1,5,115,277,25
!     CONTROL         "Text as LongVarChar",1043,"Button",BS_AUTOCHECKBOX | 
!                     WS_GROUP | WS_TABSTOP,15,125,80,10
!     CONTROL         "Unknowns as LongVarChar",1044,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,105,125,100,10
!     CONTROL         "Bools as Char",1050,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,215,125,60,10
!     LTEXT           "&Cache Size:",-1,14,183,52,8
!     EDITTEXT        1045,69,181,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max &Varchar:",-1,13,161,54,8
!     EDITTEXT        1046,70,160,35,12,ES_AUTOHSCROLL
!     LTEXT           "Max Lon&gVarChar:",-1,125,161,67,8
!     EDITTEXT        1047,199,160,35,12,ES_AUTOHSCROLL
!     LTEXT           "SysTable &Prefixes:",-1,125,183,61,10
!     EDITTEXT        1051,199,181,71,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",1,5,212,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",2,81,211,50,15
!     PUSHBUTTON      "Apply",1074,156,212,50,14
!     PUSHBUTTON      "Defaults",1048,232,211,50,15
!     GROUPBOX        "Miscellanous",-1,5,145,277,58
! END
! 
! 103 DIALOG FIXED IMPURE  0, 0, 287, 231
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Advanced Options (DataSource)"
! FONT 8, "MS Sans Serif"
! BEGIN
!     PUSHBUTTON      "Page 2",1065,49,5,40,15
!     PUSHBUTTON      "Page 1",1066,5,5,40,15
!     CONTROL         "&Read Only",1011,"Button",BS_AUTOCHECKBOX | WS_GROUP | 
!                     WS_TABSTOP,15,26,102,10
!     CONTROL         "Row &Versioning",1052,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,149,26,85,10
!     CONTROL         "Show System &Tables",1051,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,15,41,100,10
!     CONTROL         "Disallow &Premature",1061,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,149,41,85,10
!     CONTROL         "LF <-> CR/LF conversion",1062,"Button",BS_AUTOCHECKBOX | 
!                     WS_TABSTOP,15,56,102,10
!     CONTROL         "True is -1",1063,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,
!                     149,56,86,10
!     CONTROL         "(Trial) Updatable Cursors",1064,"Button",
!                     BS_AUTOCHECKBOX | WS_TABSTOP,15,71,102,10
!     GROUPBOX        "Int8 As",-1,5,85,277,25
!     CONTROL         "default",1067,"Button",BS_AUTORADIOBUTTON | WS_GROUP,12,
!                     95,35,10
!     CONTROL         "bigint",1068,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     55,95,35,10
!     CONTROL         "numeric",1069,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     98,95,40,10
!     CONTROL         "varchar",1070,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     141,95,40,10
!     CONTROL         "double",1071,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,
!                     184,95,40,10
!     CONTROL         "int4",1072,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,227,
!                     95,25,10
!     GROUPBOX        "Protocol",-1,5,115,277,25
!     CONTROL         "7.X,6.4+",1057,"Button",BS_AUTORADIOBUTTON | WS_GROUP,
!                     44,126,35,10
!     CONTROL         "6.3",1058,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,117,
!                     126,26,10
!     CONTROL         "6.2",1016,"Button",BS_AUTORADIOBUTTON | WS_TABSTOP,191,
!                     126,26,10
!     GROUPBOX        "OID Options",-1,5,145,277,25
!     CONTROL         "Show &Column",1012,"Button",BS_AUTOCHECKBOX | WS_GROUP | 
!                     WS_TABSTOP,53,157,59,10
!     CONTROL         "Fake &Index",1013,"Button",BS_AUTOCHECKBOX | WS_GROUP | 
!                     WS_TABSTOP,155,156,51,10
!     LTEXT           "Connect &Settings:",-1,5,179,62,10
!     EDITTEXT        1020,71,178,211,27,ES_MULTILINE | ES_AUTOVSCROLL | 
!                     ES_AUTOHSCROLL | ES_WANTRETURN
!     DEFPUSHBUTTON   "OK",1,5,212,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",2,81,212,50,14
!     PUSHBUTTON      "Apply",1074,156,212,50,14
! END
! 
! 104 DIALOG FIXED IMPURE  0, 0, 306, 87
! STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
! CAPTION "Global settings"
! FONT 8, "MS Sans Serif"
! BEGIN
!     CONTROL         "Comm&Log (C:\\psqlodbc_xxxx.log - Communications log)",
!                     1014,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,22,24,263,10
!     CONTROL         "Mylog (C:\\mylog_xxxx.log - Detailed debug output)",
!                     1060,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,22,42,264,10
!     DEFPUSHBUTTON   "OK",1,82,68,50,14,WS_GROUP
!     PUSHBUTTON      "Cancel",2,172,67,50,15
!     GROUPBOX        "Pre-connection/default logging options",-1,5,5,296,58
! END
! 
! 1001 DIALOG FIXED IMPURE  65, 43, 292, 116
! STYLE DS_MODALFRAME | DS_3DLOOK | WS_POPUP | WS_VISIBLE | WS_CAPTION | 
!     WS_SYSMENU
! CAPTION "PostgreSQL ODBC Driver (psqlODBC) Setup"
! FONT 8, "MS Sans Serif"
! BEGIN
!     RTEXT           "&Data Source",401,5,11,50,12,NOT WS_GROUP
!     EDITTEXT        400,57,10,72,12,ES_AUTOHSCROLL | WS_GROUP
!     RTEXT           "Des&cription",1039,134,11,39,12,NOT WS_GROUP
!     EDITTEXT        404,175,10,108,12,ES_AUTOHSCROLL
!     RTEXT           "Data&base",-1,16,26,38,12,NOT WS_GROUP
!     EDITTEXT        408,57,25,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Server",-1,26,41,29,12,NOT WS_GROUP
!     EDITTEXT        407,57,40,72,12,ES_AUTOHSCROLL
!     RTEXT           "&Port",-1,151,41,22,12
!     EDITTEXT        1002,175,40,37,12,ES_AUTOHSCROLL
!     RTEXT           "&User Name",-1,16,56,39,12
!     EDITTEXT        1006,57,55,72,12,ES_AUTOHSCROLL
!     RTEXT           "Pass&word",-1,139,57,34,9
!     EDITTEXT        1009,175,55,72,12,ES_PASSWORD | ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",1,25,87,40,14,WS_GROUP
!     PUSHBUTTON      "Cancel",2,80,87,40,14
!     GROUPBOX        "Options",1054,140,74,140,35,BS_LEFT
!     PUSHBUTTON      "Datasource",1018,159,87,50,14
!     PUSHBUTTON      "Global",1021,220,87,50,14
!     CTEXT           "Please supply any missing information required to connect.",
!                     1040,36,5,220,15
! END
! 
! 
! #ifndef _MAC
! /////////////////////////////////////////////////////////////////////////////
! //
! // Version
! //
! 
! 1 VERSIONINFO
!  FILEVERSION PG_DRVFILE_VERSION
!  PRODUCTVERSION PG_DRVFILE_VERSION
!  FILEFLAGSMASK 0x3L
! #ifdef _DEBUG
!  FILEFLAGS 0x1L
! #else
!  FILEFLAGS 0x0L
! #endif
!  FILEOS 0x4L
!  FILETYPE 0x2L
!  FILESUBTYPE 0x0L
! BEGIN
!     BLOCK "StringFileInfo"
!     BEGIN
!         BLOCK "040904e4"
!         BEGIN
!             VALUE "Comments", "PostgreSQL ODBC driver\0"
!             VALUE "CompanyName", "The PostgreSQL Global Development Group\0"
!             VALUE "FileDescription", "PostgreSQL ODBC Driver\0"
!             VALUE "FileVersion", POSTGRES_RESOURCE_VERSION
!             VALUE "InternalName", "psqlODBC\0"
!             VALUE "LegalCopyright", "\0"
!             VALUE "LegalTrademarks", "ODBC(TM) is a trademark of Microsoft Corporation.  Microsoft® is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation.\0"
!             VALUE "OriginalFilename", "psqlodbc.dll\0"
!             VALUE "PrivateBuild", "\0"
!             VALUE "ProductName", "Microsoft Open Database Connectivity\0"
!             VALUE "ProductVersion", POSTGRES_RESOURCE_VERSION
!             VALUE "SpecialBuild", "\0"
!         END
!     END
!     BLOCK "VarFileInfo"
!     BEGIN
!         VALUE "Translation", 0x409, 1252
!     END
! END
! 
! #endif    // !_MAC
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! //
! // String Table
! //
! 
! STRINGTABLE FIXED IMPURE 
! BEGIN
!     1                       "Invalid DSN entry, please recheck."
!     2                       "Invalid DSN"
! END
! 
! #endif    // English (U.S.) resources
! /////////////////////////////////////////////////////////////////////////////
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! // English (U.K.) resources
! 
! #if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ENG)
! #ifdef _WIN32
! LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_UK
! #pragma code_page(1252)
! #endif //_WIN32
! 
! #ifdef APSTUDIO_INVOKED
! /////////////////////////////////////////////////////////////////////////////
! //
! // TEXTINCLUDE
! //
! 
! 1 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "resource.h\0"
! END
! 
! 2 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "#include ""afxres.h""\r\n"
!     "\0"
! END
! 
! 3 TEXTINCLUDE DISCARDABLE 
! BEGIN
!     "\r\n"
!     "\0"
! END
! 
! #endif    // APSTUDIO_INVOKED
! 
! #endif    // English (U.K.) resources
! /////////////////////////////////////////////////////////////////////////////
! 
! 
! 
! #ifndef APSTUDIO_INVOKED
! /////////////////////////////////////////////////////////////////////////////
! //
! // Generated from the TEXTINCLUDE 3 resource.
! //
! 
! 
! /////////////////////////////////////////////////////////////////////////////
! #endif    // not APSTUDIO_INVOKED
! 
Index: resource.h
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/odbc/resource.h,v
retrieving revision 1.30
diff -c -r1.30 resource.h
*** resource.h	2002/06/12 02:27:44	1.30
--- resource.h	2002/07/04 08:57:46
***************
*** 1,80 ****
! /* {{NO_DEPENDENCIES}}
 */
! /*	Microsoft Developer Studio generated include file.
 */
! /*	Used by psqlodbc.rc
 */
! /*
 */
! #define IDS_BADDSN						1
! #define IDS_MSGTITLE					2
! #define DLG_OPTIONS_DRV					102
! #define DLG_OPTIONS_DS					103
! #define DLG_OPTIONS_GLOBAL				104
! #define IDC_DSNAME						400
! #define IDC_DSNAMETEXT					401
! #define IDC_DESC						404
! #define IDC_SERVER						407
! #define IDC_DATABASE					408
! #define DLG_CONFIG						1001
! #define IDC_PORT						1002
! #define IDC_USER						1006
! #define IDC_PASSWORD					1009
! #define DS_READONLY						1011
! #define DS_SHOWOIDCOLUMN				1012
! #define DS_FAKEOIDINDEX					1013
! #define DRV_COMMLOG						1014
! #define DS_PG62							1016
! #define IDC_DATASOURCE					1018
! #define DRV_OPTIMIZER					1019
! #define DS_CONNSETTINGS					1020
! #define IDC_DRIVER						1021
! #define DRV_CONNSETTINGS				1031
! #define DRV_UNIQUEINDEX					1032
! #define DRV_UNKNOWN_MAX					1035
! #define DRV_UNKNOWN_DONTKNOW			1036
! #define DRV_READONLY					1037
! #define IDC_DESCTEXT					1039
! #define DRV_MSG_LABEL					1040
! #define DRV_UNKNOWN_LONGEST				1041
! #define DRV_TEXT_LONGVARCHAR			1043
! #define DRV_UNKNOWNS_LONGVARCHAR		1044
! #define DRV_CACHE_SIZE					1045
! #define DRV_VARCHAR_SIZE				1046
! #define DRV_LONGVARCHAR_SIZE			1047
! #define IDDEFAULTS						1048
! #define DRV_USEDECLAREFETCH				1049
! #define DRV_BOOLS_CHAR					1050
! #define DS_SHOWSYSTEMTABLES				1051
! #define DRV_EXTRASYSTABLEPREFIXES		1051
! #define DS_ROWVERSIONING				1052
! #define DRV_PARSE						1052
! #define DRV_CANCELASFREESTMT			1053
! #define IDC_OPTIONS						1054
! #define DRV_KSQO						1055
! #define DS_PG64							1057
! #define DS_PG63							1058
! #define DRV_OR_DSN						1059
! #define DRV_DEBUG			1060
! #define DS_DISALLOWPREMATURE		1061
! #define DS_LFCONVERSION			1062
! #define DS_TRUEISMINUS1			1063
! #define DS_UPDATABLECURSORS		1064
! #define IDNEXTPAGE			1065
! #define IDPREVPAGE			1066
! #define DS_INT8_AS_DEFAULT		1067
! #define DS_INT8_AS_BIGINT		1068
! #define DS_INT8_AS_NUMERIC		1069
! #define DS_INT8_AS_VARCHAR		1070
! #define DS_INT8_AS_DOUBLE		1071
! #define DS_INT8_AS_INT4			1072
! #define DRV_MSG_LABEL2			1073
! #define IDAPPLY				1074
! 
! /*	Next default values for new objects
 */
! /*
 */
! #ifdef APSTUDIO_INVOKED
! #ifndef APSTUDIO_READONLY_SYMBOLS
! #define _APS_NEXT_RESOURCE_VALUE		105
! #define _APS_NEXT_COMMAND_VALUE			40001
! #define _APS_NEXT_CONTROL_VALUE			1075
! #define _APS_NEXT_SYMED_VALUE			101
! #endif   /*
 */
  
! #endif   /*
 */
--- 1,79 ----
! //{{NO_DEPENDENCIES}}
! // Microsoft Developer Studio generated include file.
! // Used by psqlodbc.rc
! //
! #define IDS_BADDSN                      1
! #define IDS_MSGTITLE                    2
! #define DLG_OPTIONS_DRV                 102
! #define DLG_OPTIONS_DS                  103
! #define DLG_OPTIONS_GLOBAL              104
! #define IDC_DSNAME                      400
! #define IDC_DSNAMETEXT                  401
! #define IDC_DESC                        404
! #define IDC_SERVER                      407
! #define IDC_DATABASE                    408
! #define DLG_CONFIG                      1001
! #define IDC_PORT                        1002
! #define IDC_USER                        1006
! #define IDC_PASSWORD                    1009
! #define DS_READONLY                     1011
! #define DS_SHOWOIDCOLUMN                1012
! #define DS_FAKEOIDINDEX                 1013
! #define DRV_COMMLOG                     1014
! #define DS_PG62                         1016
! #define IDC_DATASOURCE                  1018
! #define DRV_OPTIMIZER                   1019
! #define DS_CONNSETTINGS                 1020
! #define IDC_DRIVER                      1021
! #define DRV_CONNSETTINGS                1031
! #define DRV_UNIQUEINDEX                 1032
! #define DRV_UNKNOWN_MAX                 1035
! #define DRV_UNKNOWN_DONTKNOW            1036
! #define DRV_READONLY                    1037
! #define IDC_DESCTEXT                    1039
! #define DRV_MSG_LABEL                   1040
! #define DRV_UNKNOWN_LONGEST             1041
! #define DRV_TEXT_LONGVARCHAR            1043
! #define DRV_UNKNOWNS_LONGVARCHAR        1044
! #define DRV_CACHE_SIZE                  1045
! #define DRV_VARCHAR_SIZE                1046
! #define DRV_LONGVARCHAR_SIZE            1047
! #define IDDEFAULTS                      1048
! #define DRV_USEDECLAREFETCH             1049
! #define DRV_BOOLS_CHAR                  1050
! #define DS_SHOWSYSTEMTABLES             1051
! #define DRV_EXTRASYSTABLEPREFIXES       1051
! #define DS_ROWVERSIONING                1052
! #define DRV_PARSE                       1052
! #define DRV_CANCELASFREESTMT            1053
! #define IDC_OPTIONS                     1054
! #define DRV_KSQO                        1055
! #define DS_PG64                         1057
! #define DS_PG63                         1058
! #define DRV_OR_DSN                      1059
! #define DRV_DEBUG                       1060
! #define DS_DISALLOWPREMATURE            1061
! #define DS_LFCONVERSION                 1062
! #define DS_TRUEISMINUS1                 1063
! #define DS_UPDATABLECURSORS             1064
! #define IDNEXTPAGE                      1065
! #define IDPREVPAGE                      1066
! #define DS_INT8_AS_DEFAULT              1067
! #define DS_INT8_AS_BIGINT               1068
! #define DS_INT8_AS_NUMERIC              1069
! #define DS_INT8_AS_VARCHAR              1070
! #define DS_INT8_AS_DOUBLE               1071
! #define DS_INT8_AS_INT4                 1072
! #define DRV_MSG_LABEL2                  1073
! #define IDAPPLY                         1074
  
! // Next default values for new objects
! // 
! #ifdef APSTUDIO_INVOKED
! #ifndef APSTUDIO_READONLY_SYMBOLS
! #define _APS_NEXT_RESOURCE_VALUE        105
! #define _APS_NEXT_COMMAND_VALUE         40001
! #define _APS_NEXT_CONTROL_VALUE         1075
! #define _APS_NEXT_SYMED_VALUE           101
! #endif
! #endif
